#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Text
%define		pnam	Iconv
Summary:	Text::Iconv - Perl interface to iconv() codeset conversion function
Summary(pl.UTF-8):	Text::Iconv - perlowy interfejs do funkcji przekodowującej iconv()
Name:		perl-Text-Iconv
Version:	1.7
Release:	17
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81b26e069eaebb084e91ea3c009b67ae
URL:		http://search.cpan.org/dist/Text-Iconv/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%description -l pl.UTF-8
Ten moduł dostarcza interfejs Perla do funkcji iconv() konwertującej
pomiędzy kodowaniami znaków, zgodnej z Single UNIX Specification.
Więcej informacji znajduje się w manualu Text::Iconv(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/Iconv.pm
%dir %{perl_vendorarch}/auto/Text/Iconv
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Text-Iconv.git;a=log;h=d62e068644063a8d447e1bfb4d9ada7ad1f58ee7

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d62e068
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8b260af
- rebuild with perl 5.30.0
- release 17 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 3e083dc
- release 16

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 082fe76
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4af0a5d
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e78b5bc
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9c1e545
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 20049ae
- x32 rebuild
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0c02641
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e5e6955
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9a86f59
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 68b7e47
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 3fe29f5
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 9ccafc9
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f2747af
- release 5

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> fc4acc5
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 51d5a2d
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ee2680
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4693a82
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 20ae904
- generic URL, informative summaries

